Hi folks,


Ubuntu 7.04 server amd64
squirrelmail 1.4.11
poppassd 1.8.5


On running;
$ poppassd
200 poppassd v1.8.5 hello, who are you?
user satimis
200 Your password please.
pass satpass
200 Your new password please.
newpass satnewpass
500 Server error, password not changed


In another case;
$ poppassd
200 poppassd v1.8.5 hello, who are you?
user userA
200 Your password please.
pass userApass
500 Old password is incorrect.


poppassd was installed on repo with;
$ sudo apt-get install poppassd


$ cat /etc/pam.d/poppassd
@include common-auth
@include common-password


$ locate common-auth
/etc/pam.d/common-auth
/usr/share/pam/common-auth
/usr/share/pam/common-auth.md5sums


$ locate common-password
/etc/pam.d/common-password
/usr/share/pam/common-password
/usr/share/pam/common-password.md5sums


$ cat /etc/pam.d/common-auth
auth required pam_unix.so nullok_secure


$ cat /usr/share/pam/common-auth
auth required pam_unix.so nullok_secure


$ cat /etc/pam.d/common-password
password required pam_unix.so nullok obscure min=4 max=8 md5


$ cat /usr/share/pam/common-password
password required pam_unix.so nullok obscure min=4 max=8 md5


$ locate pam_unix.so
/lib/security/pam_unix.so
/usr/lib/vmware/lib/libpam.so.0/security/pam_unix.so
/usr/local/src/vmware-server-distrib-1.0.4-56528/lib/lib/libpam.so.0/security/pam_unix.so

pam_unix.so found


Please advise how to fix the problem. TIA


B.R.
satimis